* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Arial, sans-serif;
}

html {
  scroll-behavior: smooth;
}

body {
  line-height: 1.6;
  padding-top: 110px; /* fixed navbar yüksekliği kadar boşluk */
  margin: 0;
}

.container {
  max-width: 1550px;
  margin: auto;
  padding: 0 15px;
}

header {
  background: #111;
  color: white;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 1000;
  box-shadow: 0 2px 12px rgba(0, 0, 0, 0.15);
}

.nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 15px 0;
  transition: all 0.3s ease;
}

header.shrink .nav {
  padding: 8px 0;
  background: #000;
}

.logo {
  display: flex;
  align-items: center;
  gap: 10px;
  font-size: 24px;
}

.logo img {
  height: 80px;
  transition: 0.3s ease;
}

header.shrink .logo img {
  height: 60px;
}

nav a {
  color: white;
  margin-left: 20px;
  margin-right: 10px;
  text-decoration: none;
  position: relative;
  transition: 0.3s ease;
}

nav a::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -6px;
  width: 0;
  height: 2px;
  background: white;
  transition: width 0.3s ease;
}

nav a:hover::after {
  width: 100%;
}

.menu-btn {
  display: none;
  font-size: 24px;
  cursor: pointer;
  margin-right: 30px;
}

/* Bölümlere giderken navbar altında kalmasın */
section {
  scroll-margin-top: 120px;
}

.hero{
height:110vh;
background:url("https://images.unsplash.com/photo-1503387762-592deb58ef4e") center/cover;
display:flex;
justify-content:center;
align-items:center;
text-align:center;
color:white;
}

.hero h1{
font-size:50px;
}

.btn{
display:inline-block;
margin-top:20px;
background:#f39c12;
padding:12px 25px;
color:white;
text-decoration:none;
}

.Hizmetlerimiz{
text-align: center;
margin-top: 40px;
margin-bottom: -30px;
font-size: large;
font-style:oblique;
font-family: Impact,'Arial Narrow Bold', sans-serif;

}
.services{
text-align:center;
padding:80px 20px;
}

.services-grid{
display:grid;
grid-template-columns:repeat(auto-fit, minmax(260px, 2fr));
gap:23px;
margin-top:0px;
max-width:1500px;
margin-left:auto;
margin-right:auto;
}

.card{
border:1px solid #ddd;
padding:20px;
position:relative;
transition:0.3s;
}

.card i{
font-size:40px;
margin-bottom:15px;
color:#f39c12;
}

.card-img{
border-radius:5px;
}


.card-img img{
width:100%;
height:200px;
object-fit:cover;
transition: transform 1s cubic-bezier(.25,.46,.45,.94);
}

.card:hover img{
transform: scale(1.4);
z-index:2;
position:relative;
}


/* EPOKSİ BİLGİLENDİRME KISMI   */
.feature-detail1{
  display:flex;
  align-items:center;
  gap:40px;
  padding:60px 0;
  flex-wrap:wrap; /* mobilde alt alta gelsin */
  background-color: #ffffff;
}

.feature-img img{
  width:90%;
  max-width:500px; /* görselin maksimum genişliği */
  border-radius:10px;
}

.feature-text{
  flex:1; /* açıklama alanı kalan alanı kaplar */
}

.feature-text h2{
  font-size:38px;
  margin-bottom:20px;
}

.feature-text p{
  text-align: left;
    margin-left: 10px;
  font-size:18px;
  margin-bottom:20px;
  color: #000 !important;
  font-family:'Times New Roman', Times, serif;

}



/* BETON SLİM VE PARLATMA HİZMETİ BİLGİLENDİRME KISMI */

.feature-detail{
  display:flex;
  align-items:center;
  gap:40px;
  padding:60px 0;
  flex-wrap:wrap; /* mobilde alt alta gelsin */
  background-color: #ffffff;;
}

.feature-img2 img{
  width:90%;
  max-width:500px; /* görselin maksimum genişliği */
  border-radius:10px;
}

.feature-text2{
  flex:1; /* açıklama alanı kalan alanı kaplar */
  margin-left: 50;
}

.feature-text2 h2{
    margin-left: 10px;
  font-size:38px;
  margin-bottom:20px;

}

.feature-text2 p{
    text-align: left;
    margin-left: 10px;
  font-size:18px;
  margin-bottom:20px;
  font-family:'Times New Roman', Times, serif
  
}

/* hakkımızda */
.about{
background:#e5d9d9;
padding:80px 20px;
text-align:center;
}

/* projeler kısmı */
.projeler img{
width:90%;
height:250px;
object-fit:cover;
margin-left: 25px;
}

.projeler{
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 5px;
}

   /* dortlu emote konu açıklama menusu */
 

.features{
  background:#e3e2e2;
  padding:60px 20px;
}

.container2{
  max-width:1600px;
  margin:auto;
  display:flex;
  gap:40px;
  text-align:center;
}

.feature{
  flex:1;
}

.icon{
  font-size:40px;
  color:#ff5a00;
  margin-bottom:15px;
}

.feature h3{
  color:#2e4bb5;
  margin-bottom:15px;
}

.feature p{
  color:#777;
  line-height:1.6;
}

@media (max-width:768px){

.container3{
  flex-direction:column;
}

}

/* GALLERY */
.gallery { padding:80px 50px; background-color:#e3e2e2; text-align:center; }
.gallery h2 { font-size:36px; margin-bottom:40px; color:#0F172A; }
.gallery-grid { display:grid; grid-template-columns:repeat(3,1fr); gap:20px; }
.gallery-item { overflow:hidden; border-radius:10px; box-shadow:0 4px 15px rgba(0,0,0,0.1); transition: transform 0.4s, box-shadow 0.4s; }
.gallery-item img { width:100%; display:block; transition: transform 0.4s; }
.gallery-item:hover { transform:scale(1.05); box-shadow:0 10px 30px rgba(0,0,0,0.2); }
.gallery-item:hover img { transform:scale(1.1); }


/* GALLERY */
.gallery2 { padding:80px 50px; background-color:#e3e2e2; text-align:center; }
.gallery2 h2 { font-size:36px; margin-bottom:40px; color:#0F172A; }
.gallery-grid2 { display:grid; grid-template-columns:repeat(3,1fr); gap:20px; }
.gallery-item2 { overflow:hidden; border-radius:10px; box-shadow:0 4px 15px rgba(0,0,0,0.1); transition: transform 0.4s, box-shadow 0.4s; }
.gallery-item2 img { width:100%; display:block; transition: transform 0.4s; }
.gallery-item2:hover { transform:scale(1.05); box-shadow:0 10px 30px rgba(0,0,0,0.2); }
.gallery-item2:hover img { transform:scale(1.1); }


/* GALLERY */
.gallery3 { padding:80px 50px; background-color:#e3e2e2; text-align:center; }
.gallery3 h2 { font-size:36px; margin-bottom:40px; color:#0F172A; }
.gallery-grid3 { display:grid; grid-template-columns:repeat(3,1fr); gap:20px; }
.gallery-item3 { overflow:hidden; border-radius:10px; box-shadow:0 4px 15px rgba(0,0,0,0.1); transition: transform 0.4s, box-shadow 0.4s; }
.gallery-item3 img { width:100%; display:block; transition: transform 0.4s; }
.gallery-item3:hover { transform:scale(1.05); box-shadow:0 10px 30px rgba(0,0,0,0.2); }
.gallery-item3:hover img { transform:scale(1.1); }

/* HAKKIMIZDA */

.about {
  padding: 60px 20px;
  background: #f9f9f9;
}

.about-container {
  max-width: 1100px;
  margin: auto;
  display: flex;
  align-items: center;
  gap: 40px;
  flex-wrap: wrap;
}

.about-text {
  flex: 2;
}

.about-text h2 {
  font-size: 32px;
  margin-bottom: 15px;
}

.about-text p {
  margin-bottom: 20px;
  color: #000000;
}

.about-cards {
  display: flex;
  gap: 15px;
  flex-wrap: wrap;
}

.card {
  background: white;
  padding: 15px;
  border-radius: 10px;
  flex: 1;
  min-width: 200px;
  box-shadow: 0 4px 10px rgba(0,0,0,0.1);
}

.about-image {
  flex: 1;
}

.about-image img {
  width: 130%;
  margin-top: 140px;
  border-radius: 10px;
}

html {
  scroll-behavior: smooth;
}


.dropdown {
  position: relative;
  display: inline-block;
}

.dropdown-menu {
  position: absolute;
  top: 100%;
  left: 0;
  background: #111;
  min-width: 200px;
  display: none;
  flex-direction: column;
  border-radius: 8px;
  overflow: hidden;
}

.dropdown-menu a {
  padding: 12px;
  color: white;
  text-decoration: none;
  display: block;
  transition: 0.3s;
}

.dropdown-menu a:hover {
  background: #222;
}

/* Hover ile açılma */
.dropdown:hover .dropdown-menu {
  display: block;
}


/*iletişim kısmı için */


.contact-section {
  padding: 80px 20px;
  background: #f8f8f8;
}

.contact-header {
  text-align: center;
  margin-bottom: 50px;
}

.contact-header h2 {
  font-size: 34px;
  color: #111;
  margin-bottom: 10px;
}

.contact-header p {
  max-width: 700px;
  margin: auto;
  color: #666;
  font-size: 16px;
}

.contact-wrapper {
  display: flex;
  gap: 30px;
  flex-wrap: wrap;
  align-items: stretch;
}

.contact-info {
  flex: 1;
  min-width: 300px;
  display: grid;
  gap: 20px;
}

.info-box {
  background: #111;
  color: white;
  padding: 25px;
  border-radius: 14px;
  box-shadow: 0 5px 20px rgba(0,0,0,0.08);
}

.info-box h3 {
  margin-bottom: 10px;
  font-size: 20px;
}

.info-box p {
  color: #ddd;
  font-size: 15px;
}

.contact-form {
  flex: 1;
  min-width: 300px;
  background: white;
  padding: 30px;
  border-radius: 14px;
  box-shadow: 0 5px 20px rgba(0,0,0,0.08);
}

.contact-form form {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.contact-form input,
.contact-form textarea {
  width: 100%;
  padding: 14px 15px;
  border: 1px solid #ddd;
  border-radius: 10px;
  outline: none;
  font-size: 15px;
  transition: 0.3s ease;
}

.contact-form input:focus,
.contact-form textarea:focus {
  border-color: #111;
}

.contact-form button {
  background: #111;
  color: white;
  border: none;
  padding: 14px;
  border-radius: 10px;
  font-size: 16px;
  cursor: pointer;
  transition: 0.3s ease;
}

.contact-form button:hover {
  background: #333;
}




/*footer kısmı için */
.footer {
  background: #111;
  color: white;
  padding-top: 50px;
  margin-top: 60px;
}

.footer-container {
  display: flex;
  justify-content: space-between;
  gap: 30px;
  flex-wrap: wrap;
}

.footer-box {
  flex: 1;
  min-width: 220px;
}

.footer-box h3 {
  font-size: 20px;
  margin-bottom: 20px;
  position: relative;
}

.footer-box h3::after {
  content: "";
  display: block;
  width: 50px;
  height: 2px;
  background: #fff;
  margin-top: 8px;
}

.footer-box p,
.footer-box a {
  color: #ccc;
  text-decoration: none;
  margin-bottom: 10px;
  display: block;
  transition: 0.3s ease;
}

.footer-box a:hover {
  color: white;
  transform: translateX(5px);
}

.footer-bottom {
  text-align: center;
  border-top: 1px solid rgba(255,255,255,0.1);
  padding: 20px 10px;
  margin-top: 30px;
  font-size: 14px;
  color: #aaa;
}

/* ===================== */
/* 📱 MOBILE RESPONSIVE  */
/* ===================== */

@media (max-width: 768px) {

  body {
    padding-top: 90px;
  }

  .logo img {
    height: 60px;
  }

  /* NAVBAR */
  nav {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    background: #111;
    display: none;
    flex-direction: column;
    text-align: center;
  }

  nav a {
    display: block;
    padding: 15px 0;
    margin: 0;
    border-top: 1px solid #222;
  }

  nav.active {
    display: flex;
  }

  .menu-btn {
    display: block;
  }

  /* HERO */
  .hero {
    height: auto;
    padding: 80px 20px;
  }

  .hero h1 {
    font-size: 28px;
  }

  /* SERVICES GRID */
  .services-grid {
    grid-template-columns: 1fr;
  }

  /* FEATURE SECTIONS */
  .feature-detail,
  .feature-detail1 {
    flex-direction: column;
    text-align: center;
  }

  .feature-img img,
  .feature-img2 img {
    width: 100%;
  }

  .feature-text h2,
  .feature-text2 h2 {
    font-size: 26px;
  }

  .feature-text p,
  .feature-text2 p {
    font-size: 16px;
  }

  /* PROJELER */
  .projeler {
    grid-template-columns: 1fr;
  }

  .projeler img {
    width: 100%;
    margin-left: 0;
  }
}